aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsympa/sympa.SlackBuild6
1 files changed, 6 insertions, 0 deletions
diff --git a/sympa/sympa.SlackBuild b/sympa/sympa.SlackBuild
index 6e5df2d5..b0248e4d 100755
--- a/sympa/sympa.SlackBuild
+++ b/sympa/sympa.SlackBuild
@@ -47,6 +47,12 @@ SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else